Firefox 7.0.1 opraví problém s mizejícími doplňky

Krátce po vydání Firefoxu 7 se v blogu serveru Doplňky Mozilly objevila informace o potenciálním problému s doplňky, se kterým se mohou uživatelé setkat při aktualizaci na Firefox 7. Pokud při aktualizaci na Firefox 7 čeká na aktualizaci některý doplněk, může po aktualizaci „zmizet“. Jakákoliv jeho úprava ve Správci doplňků jej opět aktivuje.

Tato chyba je již opravena a bude k dispozici v rámci aktualizace na Firefox 7.0.1, která vyjde brzy. Pokud jste se s tímto problémem setkali, můžete si nainstalovat speciální rozšíření, které vše opraví. Chyba se může projevit i v Thunderbirdu 7, patrně také v SeaMonkey (neověřováno).

Mozilla z důvodů této chyby pozastavila distribuci aktualizací na Firefox 7, takže pokud se divíte, proč se vám aktualizace na Firefox 7 nenabízí, důvod je tento. Po vydání Firefoxu 7.0.1 se aktualizace začnou opět distribuovat.

Přečtěte si také

7 odpovědí

  1. marecekk86 napsal(a) :

    Neviem ako iné doplnky, ale fast dial nepracuje pod FF 7.0 ani pod 7.0.1 🙁

  2. Edds napsal(a) :

    skus http://dl.dropbox.com/u/10199236/fast_dial-3.5.1-fx-modified.xpi

  3. colos napsal(a) :

    VLC doplněk po instalaci 7.0 i 7.0.1 nefunguje a hlavně přestane fungovat doplněk WMP. Pokud VLC je zakázán, WMP funguje. Opravdu skvělé 🙁

  4. marecekk86 napsal(a) :

    ďakujem 🙂

  5. Martin Hubáček napsal(a) :

    Tohle je takova „blba“ chybka, ktera zamrzi. Chapu, ze se to muze stat, ale prece je to trochu zbytecne. Bylo by lepsi kdyby takove veci proste byly odladene..

  6. Pluto napsal(a) :

    Daleko horší je, že pořád funguje kontrola kompatibility. Přesto, že většina tzv. „nekompatibilních doplňků“ je kompatibilní. Kdo dokáže poznat, že doplněk nefunguje správně nepotřebuje kontrolu kompatibility, která tohle mimochodem nedokáže. Komu to slouží? Většina uživatelů ani neví, že jde kontrola kompatibility vypnout nebo neví proč apod. Přitom je to i pro málo pokročilé uživatele daleko jednoduší a snesitelnější ověřit si kompatibilitu než čekat, kdy informace o kompatibilitě bude přidána do jinak funkčního doplňku. Tohle vypnutí kontroly kompatibility bude pro Firefox větší zlepšení než daleko složitější úpravy a vylepšení. Přesto, že je to snad nejednoduší změna. Osobně bych si dokázala přestavit, že kontrola kompatibility by informovala při spuštění Firefoxu, že není ověřena kompatibilita doplňku. S dotazem zda chci doplněk zakázat, zkusit do uzavření FF (resp. zatím povolit a zeptat se příště znovu), nebo běžně povolit (s možností později kdykoli zakázat/odebrat ve správci doplňků).

  7. Charla napsal(a) :

    [3] Mě to přijde logické. WMP se má starat o přehrávání videí a hudby pomocí jádra WMP v prohlížeči. A VLC doplněk to samé pomocí VLC „jádra“, tak mi přijde logické že když funguje jeden nefunguje druhý, dělající totéž. Kdyby fungovaly oba současně osobně bych to měl spíše za chybu.
    [6] Ano, souhlasím, že kontrola kompatibility s častějšími novými verzemi je spíše naškodu. Nicméně mohla by nastat situace, že se FX aktualizuje a po aktualizaci se již nespustí, protože nějaký nekompatibilní doplněk jej stihne shodit dřív, než se stačí cokoliv načíst. Tam by pak musel být systém kontroly zda byl FX spuštěn alespoň jednou úspěšně, pokud ne tak zakázat doplňky apod…. Ale snad Mozilla vymyslí nějaký hezký a rozumný kompromis.